import fs from 'node:fs/promises';
import path from 'node:path';
export default async function readCustomApp(directory) {
    const files = await fs.readdir(directory);
    let customApp;
    for (const file of files) {
        if (!/^_app\.(js|ts)x?$/.test(file)) {
            continue;
        }
        const filePath = path.join(directory, file);
        const m = (await import(filePath));
        customApp = m.default;
        break;
    }
    return customApp;
}
//# sourceMappingURL=read-custom-app.js.map