import { ZodFirstPartyTypeKind, } from 'zod';
export function isTupleArguments(schema) {
    return schema._def.typeName === ZodFirstPartyTypeKind.ZodTuple;
}
export function isArrayArguments(schema) {
    return schema._def.typeName === ZodFirstPartyTypeKind.ZodArray;
}
export function getArrayElement(schema) {
    if (schema._def.typeName === 'ZodOptional') {
        return getArrayElement(schema._def.innerType);
    }
    if (schema._def.typeName === 'ZodDefault') {
        return getArrayElement(schema._def.innerType);
    }
    return schema.element;
}
export function unwrap(schema) {
    if (schema._def.typeName === 'ZodOptional') {
        return unwrap(schema._def.innerType);
    }
    if (schema._def.typeName === 'ZodDefault') {
        return unwrap(schema._def.innerType);
    }
    return schema;
}
export function getDefaultValue(schema) {
    if (schema._def.typeName === 'ZodOptional') {
        return getDefaultValue(schema._def.innerType);
    }
    if (schema._def.typeName === 'ZodDefault') {
        return schema._def.defaultValue();
    }
    return undefined;
}
export function getDescription(schema) {
    if (schema._def.typeName === 'ZodOptional') {
        return schema.description ?? getDescription(schema._def.innerType);
    }
    if (schema._def.typeName === 'ZodDefault') {
        return schema.description ?? getDescription(schema._def.innerType);
    }
    return schema.description;
}
//# sourceMappingURL=zod-utils.js.map